3S_V3

3S_V3

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

General

The 3S_V3 driver uses the PLC handler from 3S to connect to controllers with CoDeSys V3. The PLC handler is an interface for version V2.3 and V3 controllers. The driver currently only supports version V3 controllers.

PLC-Handler

Different versions of the PLC handler are not compatible. The correct PLC handler for the respective driver version must always be used. PLC handlers of other versions must be replaced.

  • For zenon 7.00 and 7.10, version 3.5.3.60 or higher of the PLC handler is required.
  • From zenon 7.11, version 3.5 SP4 of the PLC handler is required.
    This is supplied with the installation medium. It is stored in the following folder: \AdditionalSoftware\3S PLC Handler.

Connection

Version V3 controllers are addressed via the node address, which is unique in the network that can be contacted.

A connection to the control can be established.

  • using ARTI (Asynchronous RunTime Interface) via the local network card
    or
  • a gateway on the local computer or a remote computer

The driver can address several controllers at the same time. In doing so, a separate PLC handler instance is created for each connection.

Symbolic addressing

The PLC handler only addresses variables in the controller using its symbolic name. Addressing using the offset of the variables is not possible. However, for complex variables (structures, arrays) the whole (binary) data block of the variable can be addressed using the base name. This is used by the driver for RDA.

In zenon versions up to 7.00, variables are addressed using variable identification. From version 7.10 onwards, it is possible to select whether the identification or the symbolic address option is used.

In order for the PLC handler to find the variables via the symbolic name in the controller, you must select the variables used in the zenon project in the CoDeSys project configuration software using a symbol configuration object and transfer this to the controller. In doing so, a symbol file in XML format is created at the same time. This can be used for offline importing of variables.

Note: The connection is broken if there are no symbols in the controller.

Other topics in this chapter

3S_V3 - Data sheet

Driver history

Requirements

Configuration

Creating variables

Driver-specific functions

Driver commands

Error analysis


3S_V3 - Data sheet

3S_V3 -> 3S_V3 - Data sheet

General: |
Driver file name | 3S_V3.exe
Driver name | 3S v3 driver for PLC Handler
PLC types | 3S CoDeSys v3 based PLCs ; Schneider Electric PAC Drive LMC
PLC manufacturer | 3S; Elau; Schneider; Bosch Rexroth;

Driver supports: |
Protocol | 3S-Arti; 3S-Gateway;
Addressing: Address-based | -
Addressing: Name-based | x
Spontaneous communication | -
Polling communication | x
Online browsing | x
Offline browsing | x
Real-time capable | x
Blockwrite | -
Modem capable | -
Serial logging | -
RDA numerical | x
RDA String | -

Requirements: |
Hardware PC | -
Software PC | PLC Handler from 3S; The file 'PLCHandlerDll.dll' is delivered with the installation media, you find it in the subdirectory: Installationmedia\AdditionalSoftware\3S PLC Handler\ Please copy the file to the system directory: 64 bit: C:\Windows\SysWOW64 32bit: C:\Windows\System32
Hardware PLC | -
Software PLC | -
Requires v-dll | -

Platforms: |
Operating systems | Windows CE 6.0, Embedded Compact 7; Windows 7, 8, 8.1 Server 2008R2, Server 2012, Server 2012R2;
CE platforms | x86; ARM;


Driver history

3S_V3 -> Driver history

Date | Build number | Change
6/21/2013 | 7.11.0.7498 | Created driver documentation

Driver versioning

The versioning of the drivers was changed with zenon 7.10. There is a cross-version build number as of this version. This is the number in the 4th position of the file version,
For example: 7.10.0.4228 means: The driver is for version 7.10 service pack 0, and has the build number 4228.

Expansions or error rectifications will be incorporated into a build in the future and are then available form the next consecutive build number.

Example Example

A driver extension was implemented in build 4228. The driver that you are using is build number 8322. Because the build number of your driver is higher than the build number of the extension, the extension is included. The version number of the driver (the first three digits of the file version) do not have any significance in relation to this. The drivers are version-agnostic


Requirements

3S_V3 -> Requirements

This chapter contains information on the requirements that are necessary for use of this driver.

Other topics in this chapter

PC

Control


PC

3S_V3 -> Requirements -> PC

Additional software

PC

The driver needs the PLCHandlerDll.dll, which is produced by 3S and contains PLCHandler-SDK. The DLL must be version 3.5 or newer. It must be copied to the installation folder of the driver or to the standard Windows folder.
Standard folder:

  • 32-Bit: C:\Windows\System32
  • 64-Bit: C:\Window\SysWOW64

The DLL is on the zenon installation medium in the subfolder: AdditionalSoftware\3S PLC Handler.

CE

No software needs to be installed for CE; PLCHandler-SDK has a fixed link to the driver.

Under Windows CE it is not possible to use several drivers of the same type.


Control

3S_V3 -> Requirements -> Control

controls

The 3S_V3 driver is for connection to a PLC that uses 3S CoDeSys V3 as its operating system, for example 3S CoDeSys Control Win V3 or Schneider LMC PacDrive.

The connection to the controller can be chosen as either the ARTI interface (Asynchronous RunTime Interface) or a local or remote gateway.


Configuration

3S_V3 -> Configuration

In this chapter you will learn how to use the driver in a project and which settings you can change.

info Information

Find out more about further settings for zenon variables in the chapter Variables of the online manual.

Other topics in this chapter

Creating a driver

Settings in the driver dialog


Creating a driver

3S_V3 -> Configuration -> Creating a driver

In order to create a new driver:

  1. Right-click on Driver in the Project Manage and select Driver new in the context menu.
  2. In the following dialog the control system offers a list of all available drivers.

  3. Select the desired driver and give it a name:
    • The driver name has to be unique, i.e. if one and the same driver is to be used several times in one project, a new name has to be given each time.
    • The driver name is part of the file name. Therefore it may only contain characters which are supported by the operating system. Invalid characters are replaced by an underscore (_).
    • Attention: This name cannot be changed later on.
  4. Confirm the dialog with OK. In the following dialog the single configurations of the drivers are defined.

Only the respective required drivers need to be loaded for a project. Later loading of an additional driver is possible without problems.

info Information

For new projects and for existing projects which are converted to version 6.21 or higher, the following drivers are created automatically:

  • Internal
  • MathDr32
  • SysDrv.


Settings in the driver dialog

3S_V3 -> Configuration -> Settings in the driver dialog

You can change the following settings of the driver:

Other topics in this chapter

General

Settings

Information


General

3S_V3 -> Configuration -> Settings in the driver dialog -> General

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration dialog is opened when a driver is created. In order to be able to open the dialog later for editing, double click on the driver in the list or click on the Configuration property.

Parameters

Description

Mode

Allows to switch between hardware mode and simulation mode

  • Hardware:

    A connection to the control is established.

  • Simulation static

    No communication between to the control is established, the values are simulated by the driver. In this modus the values remain constant or the variables keep the values which were set by zenon Logic. Each variable has its own memory area. E.g. two variables of the type marker with offset 79 can have different values in the Runtime and do not influence each other. Exception: The simulator driver.

  • Simulation - counting

    No communication between to the control is established, the values are simulated by the driver. In this modus the driver increments the values within a value range automatically.

  • Simulation - programmed

    N communication is established to the PLC. The values are calculated by a freely programmable simulation project. The simulation project is created with the help of the zenon Logic Workbench and runs in a zenon Logic Runtime which is integrated in the driver. For details see chapter Driver simulation.

Keep update list in the memory

Variables which were requested once are still requested from the control even if they are currently not needed.
This has the advantage that e.g. multiple screen switches after the screen was opened for the first time are executed faster because the variables need not be requested again. The disadvantage is a higher load for the communication to the control.

Output can be written

Active: Outputs can be written.

Inactive: Writing of outputs is prevented.

Note: Not available for every driver.

Variable image remanent

This option saves and restores the current value, time stamp and the states of a data point.

Fundamental requirement: The variable must have a valid value and time stamp.

The variable image is saved in mode hardware if:

  • one of the states S_MERKER_1(0) up to S_MERKER8(7), REVISION(9), AUS(20) or ERSATZWERT(27) is active

The variable image is always saved if:

  • the variable is of the object type Driver variable
  • the driver runs in simulation mode. (not programmed simulation)

The following states are not restored at the start of the Runtime:

  • SELECT(8)
  • WR-ACK(40)
  • WR-SUC(41)

The mode Simulation - programmed at the driver start is not a criterion in order to restore the remanent variable image.

Stop on Standby Server

Setting for redundancy at drivers which allow only on communication connection. For this the driver is stopped at the Standby Server and only started at the upgrade.

Attention: If this option is active, the gapless archiving is no longer guaranteed.

Active: Sets the driver at the not-process-leading Server automatically in a stop-like state. In contrast to stopping via driver command, the variable does not receive status switched off but an empty value. This prevents that at the upgrade to the Server irrelevant values are created in the AML, CEL and Historian.

Note: Not available if the CE terminal serves as a data server. You can find further information in the zenon Operator manual in the CE terminal as a data server chapter.

Global Update time

Active: The set Global update time in ms is used for all variables in the project. The priority set at the variables is not used.
Inactive: The set priorities are used for the individual variables.

Priority

The polling times for the individual priority classes are set here. All variables with the according priority are polled in the set time.

The allocation to the variables takes place separately in the settings of the variable properties.
The communication of the individual variables are graduated in respect of importance or necessary topicality using the priorities. Thus the communication load is distributed better.

Attention: Priority classes are not supported by each driver For example, drivers that communicate spontaneously do not support it.

Close dialog

Parameters | Description
OK | Applies all changes in all tabs and closes the dialog.
Cancel | Discards all changes in all tabs and closes the dialog.
Help | Opens online help.

Update time for cyclical drivers

The following applies for cyclical drivers:

For Set value, Advising of variables and Requests, a read cycle is immediately triggered for all drivers - regardless of the set update time. This ensures that the value is immediately available for visualization after writing. Update times can therefore be shorter than pre-set for cyclical drivers.


Settings

3S_V3 -> Configuration -> Settings in the driver dialog -> Settings

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selection of controllers that are to be used. For each controller, it is possible to select whether the connection is established via ARTI or a gateway.

Parameters

Description

Symbolic addressing via

Selection of whether the variable identification or the symbolic address option is to be used for symbolic addressing of variables.

This selection can be made from zenon version 7.10 onwards.

The variable identification is always used up to and including version 7.00. In this case, the options variable identification and symbolic address are not displayed.

Variable identification

Active: Symbolic addressing of variables is carried out using the variable identification.

Symbolic address

Active: Symbolic addressing of the variables is carried out using the symbolic address.

controls

List of configured connections.

Connection name corresponds to the node address.

New

Opens the dialog for configuring a connection.

Edit

Opens the dialog for editing the selected connection.

Delete

Deletes the selected connection after a confirmation message.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Help

Opens online help.

Other topics in this chapter

Connection


Connection

3S_V3 -> Configuration -> Settings in the driver dialog -> Settings -> Connection

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration of the connection to a controller.

Parameters

Description

Connection type

Selection of the connection type from drop-down list:

  • ARTI: via the local network card
  • Gateway: via a gateway on the local or remote computer

Version

Selection of the version to be used from a drop-down list.

Can only be configured if several versions are supported.

Net address

Entry of the net address.

This corresponds to the zenon Net address property.

node address

Node address or node name of the controller.

Entry of node address or node name in the field or select from a drop-down list. Clicking on the ... button opens the dialog to select a PLC. When opened, a search for controllers in the network that can be contacted using the selected connection type is carried out. If the search for a controller is not possible, because the project computer and controller are in different networks, the address must be entered manually.

Node address and node name

  • The node address can be different for different connection types. However it is always unique for the selected connection type.
    Note: A controller may get a new node address after a restart, because the original address is issued.
  • The node name is not unique There can be several controllers on one device for example. These can then only be identified via the node address.

Gateway

Configuration of the gateway.

Connection

Selection of the connection type from the the PLC handler to the gateway via a drop-down list:

  • TCP/IP: TCP/IP connection
  • Shared Memory: Use of the shared memory on the local computer

Address

IP address of the gateway.
Only necessary for communication via TCP/IP.

Password

Password of the gateway.
For communication via TCP/IP only.

Port

Port of the gateway.
For communication via TCP/IP only.

Default: 1217

OK

Applies settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.

Other topics in this chapter

Search for controller in the network


Search for controller in the network

3S_V3 -> Configuration -> Settings in the driver dialog -> Settings -> Connection -> Search for controller in the network

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the Node address button opens the dialog to select a controller. When opening, a search is carried out for controllers; controllers that are found are offered for selection.

Parameters | Description
List of controllers | Lists all controllers that have been found.
OK | Accepts the selected controller and closes the dialog.
Cancel | Discards selection and closes the dialog.
Refresh | Searches for controllers again.


Information

3S_V3 -> Configuration -> Settings in the driver dialog -> Information

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Information on the versions of:

  • PLC-Handler
  • Drivers


Creating variables

3S_V3 -> Creating variables

This is how you can create variables in the zenon Editor:

Other topics in this chapter

Creating variables in the Editor

Addressing

Driver objects and datatypes

Creating variables by importing

Driver variables


Creating variables in the Editor

3S_V3 -> Creating variables -> Creating variables in the Editor

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variables can be created:

  • as simple variables
  • in arrays
  • as structure variables

Variable dialog

To create a new variable, regardless of which type:

  1. Select the New variable command in the Variables node in the context menu

  2. The dialog for configuring variables is opened
  3. configure the variable
  4. The settings that are possible depends on the type of variables

Property

Description

Name

Distinct name of the variable. If a variable with the same name already exists in the project, no additional variable can be created with this name.

Maximum length: 128 Zeichen

Attention: The characters # and @ are not permitted in variable names. If non-permitted characters are used, creation of variables cannot be completed and the Finish button remains inactive.
Note: For some drivers, the addressing is possible over the property Symbolic address, as well.

Driver

Select the desired driver from the drop-down list.

Note: If no driver has been opened in the project, the driver for internal variables (Intern.exe) is automatically loaded.

Driver object type

Select the appropriate driver object type from the drop-down list.

Data type

Select the desired data type. Click on the ... button to open the selection dialog.

Array settings

Expanded settings for array variables. You can find details in the Arrays chapter.

Addressing options

Expanded settings for arrays and structure variables. You can find details in the respective section.

Automatic element activation

Expanded settings for arrays and structure variables. You can find details in the respective section.

Inheritance from data type

Measuring range, Signal range and Set value are always:

  • derived from the datatype
  • Automatically adapted if the data type is changed

Note for signal range: If a change is made to a data type that does not support the set signal range, the signal range is amended automatically. For example, for a change from INT to SINT, the signal range is changed to 127. The amendment is also carried out if the signal range was not inherited from the data type. In this case, the measuring range must be adapted manually.


Addressing

3S_V3 -> Creating variables -> Addressing

Group/Property

Description

General

Standard Configuration

Name

Freely definable name.

Attention: For every zenon project the name must be unambiguous.

Identification
  • Up to zenon Version 7.00: Symbolic address
  • From version 7.10 on: Either the symbolic address or a freely-selectable identification, for example for a resource label, comments...

Addressing

Configuration of the addressing.

Net address

Bus address or net address of the variable.

This address refers to the bus address in the connection configuration of the driver. This defines the PLC, on which the variable resides.

Data block

not used

Offset

not used

Alignment

not used

Bit number

not used

String length

Only available for String variables: Maximum number of characters that the variable can take.

Symbolic address

From version 7.10 on: Option to choose symbolic address.

Driver connection/Driver object type

Object type of the variables. Depending on the driver used, is selected when the variable is created and can be changed here.

Driver connection/Data type

Data type of the variable. Is selected during the creation of the variable; the type can be changed here.

Attention: If you change the data type later, all other properties of the variable must be checked and adjusted, if necessary.


Driver objects and datatypes

3S_V3 -> Creating variables -> Driver objects and datatypes

Driver objects are areas available in the PLC, such as markers, data blocks etc. Here you can find out which driver objects are provided by the driver and which IEC data types can be assigned to the respective driver objects.

Other topics in this chapter

Driver objects

Mapping of the data types


Driver objects

3S_V3 -> Creating variables -> Driver objects and datatypes -> Driver objects

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following object types are available in this driver:

Driver object type | Channel type | Read / Write | Supported data types | Description
Marker | 8 | R / W | BOOL, USINT, SINT, BYTE, UINT, WORD, INT, UDINT, DWORD, DINT, ULINT, LINT, LWORD, REAL, LREAL, STRING, WSTRING, DT, TOD, DATE, TIME |
Driver variable | 35 | R / W | BOOL, SINT, USINT, INT, UINT, DINT, UDINT, REAL, STRING | Variable for the static analysis of the communication; is transferred between driver and Runtime (not to the PLC). Note: The addressing and the behavior is the same for most zenon drivers. Find out more in the chapter about the Driver variables


Mapping of the data types

3S_V3 -> Creating variables -> Driver objects and datatypes -> Mapping of the data types

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All variables in zenon are derived from IEC data types. The following table compares the IEC datatypes with the datatypes of the PLC.

Control | zenon | Data type
BIT, BOOL | BOOL | 8
USINT | USINT | 9
BYTE | BYTE | 22
SINT | SINT | 10
WORD | WORD | 23
UINT, UINT16 | UINT | 2
INT, INT16, ENUM | INT | 1
UDINT | UDINT | 4
DINT | DINT | 3
ULINT | ULINT | 27
DWORD | DWORD | 24
LINT | LINT | 26
REAL | REAL | 5
LREAL | LREAL | 6
STRING | STRING | 12
WSTRING | WSTRING | 21
DATE | DATE | 18
TIME | TIME | 17
DT, DATE_AND_TIME | DT | 20
TOD, TIME_OF_DAY | TOD (Time of Day) | 19

Data type: The property Data type is the internal numerical name of the data type. It is also used for the extended DBF import/export of the variables.


Creating variables by importing

3S_V3 -> Creating variables -> Creating variables by importing

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variables can also be imported by importing them. The XML and DBF import is available for every driver.

info Information

You can find details on the import and export of variables in the Import-Export manual in the Variables section.

Other topics in this chapter

XML import

DBF Import/Export

Online- and Offline-Import


XML import

3S_V3 -> Creating variables -> Creating variables by importing -> XML import

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For the import/export of variables the following is true:

  • The import/export must not be started from the global project.
  • The start takes place via:
    • Context menu of variables or data typ in the project tree
    • or context menu of a variable or a data type
    • or symbol in the symbol bar variables

attention Attention

When importing/overwriting an existing data type, all variables based on the existing data type are changed.

Example:

There is a data type XYZ derived from the type INTwith variables based on this data type. The XML file to be imported also contains a data type with the name XYZ but derived from type STRING. If this data type is imported, the existing data type is overwritten and the type of all variables based on it is adjusted. I.e. the variables are now no longer INT variables, but STRING variables.


DBF Import/Export

3S_V3 -> Creating variables -> Creating variables by importing -> DBF Import/Export

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Data can be exported to and imported from dBase.

info Information

Import and Export via CSV or dBase supported; no driver specific variable settings, such as formulas. Use export/import via XML for this.

Import DBF file

To start the import:

  1. right-click on the variable list
  2. in the drop-down list of Extended export/import... select the Import dBase command
  3. follow the import assistant

The format of the file is described in the chapter File structure.

info Information

Note:

  • Driver object type and data type must be amended to the target driver in the DBF file in order for variables to be imported.
  • dBase does not support structures or arrays (complex variables) at import.

Export DBF file

To start the export:

  1. right-click on the variable list
  2. in the drop-down list of Extended export/import... select the Export dBase... command
  3. follow the export assistant

attention Attention

DBF files:

  • must correspond to the 8.3 DOS format for filenames (8 alphanumeric characters for name, 3 character suffix, no spaces)
  • must not have dots (.) in the path name.
    e.g. the path C:\users\John.Smith\test.dbf is invalid.
    Valid: C:\users\JohnSmith\test.dbf
  • must be stored close to the root directory in order to fulfill the limit for file name length including path: maximum 255 characters

The format of the file is described in the chapter File structure.

info Information

dBase does not support structures or arrays (complex variables) at export.

File structure of the dBase export file

The dBaseIV file must have the following structure and contents for variable import and export:

attention Attention

dBase does not support structures or arrays (complex variables) at export.

DBF files must:

  • conform with there name to the 8.3 DOS format (8 alphanumeric characters for name, 3 characters for extension, no space)
  • Be stored close to the root directory (Root)

Structure

Description | Type | Field size | Comment
KANALNAME | Char | 128 | Variable name. The length can be limited using the MAX_LAENGE entry in project.ini.
KANAL_R | C | 128 | The original name of a variable that is to be replaced by the new name entered under "VARIABLENNAME" (field/column must be entered manually). The length can be limited using the MAX_LAENGE entry in project.ini.
KANAL_D | Log | 1 | The variable is deleted with the 1 entry (field/column has to be created by hand).
TAGNR | C | 128 | Identification. The length can be limited using the MAX_LAENGE entry in project.ini.
EINHEIT | C | 11 | Technical unit
DATENART | C | 3 | Data type (e.g. bit, byte, word, ...) corresponds to the data type.
KANALTYP | C | 3 | Memory area in the PLC (e.g. marker area, data area, ...) corresponds to the driver object type.
HWKANAL | Num | 3 | Bus address
BAUSTEIN | N | 3 | Datablock address (only for variables from the data area of the PLC)
ADDRESS | N | 5 | Offset
BITADR | N | 2 | For bit variables: bit address For byte variables: 0=lower, 8=higher byte For string variables: Length of string (max. 63 characters)
ARRAYSIZE | N | 16 | Number of variables in the array for index variables ATTENTION: Only the first variable is fully available. All others are only available for VBA or the Recipe Group Manager
LES_SCHR | R | 1 | Write-Read-Authorization 0: Not allowed to set value. 1: Allowed to set value.
MIT_ZEIT | R | 1 | time stamp in zenon zenon (only if supported by the driver)
OBJEKT | N | 2 | Driver-specific ID number of the primitive object comprises TREIBER-OBJEKTTYP and DATENTYP
SIGMIN | Float | 16 | Non-linearized signal - minimum (signal resolution)
SIGMAX | F | 16 | Non-linearized signal - maximum (signal resolution)
ANZMIN | F | 16 | Technical value - minimum (measuring range)
ANZMAX | F | 16 | Technical value - maximum (measuring range)
ANZKOMMA | N | 1 | Number of decimal places for the display of the values (measuring range)
UPDATERATE | F | 19 | Update rate for mathematics variables (in sec, one decimal possible) not used for all other variables
MEMTIEFE | N | 7 | Only for compatibility reasons
HDRATE | F | 19 | HD update rate for historical values (in sec, one decimal possible)
HDTIEFE | N | 7 | HD entry depth for historical values (number)
NACHSORT | R | 1 | HD data as postsorted values
DRRATE | F | 19 | Updating to the output (for zenon DDE server, in [s], one decimal possible)
HYST_PLUS | F | 16 | Positive hysteresis, from measuring range
HYST_MINUS | F | 16 | Negative hysteresis, from measuring range
PRIOR | N | 16 | Priority of the variable
REAMATRIZE | C | 32 | Allocated reaction matrix
ERSATZWERT | F | 16 | Substitute value, from measuring range
SOLLMIN | F | 16 | Minimum for set value actions, from measuring range
SOLLMAX | F | 16 | Maximum for set value actions, from measuring range
VOMSTANDBY | R | 1 | Get value from standby server; the value of the variable is not requested from the server but from the Standby Server in redundant networks
RESOURCE | C | 128 | Resources label. Free string for export and display in lists. The length can be limited using the MAX_LAENGE entry in project.ini.
ADJWVBA | R | 1 | Non-linear value adaption: 0: Non-linear value adaption is used 1: Non-linear value adaption is not used
ADJZENON | C | 128 | Linked VBA macro for reading the variable value for non-linear value adjustment.
ADJWVBA | C | 128 | ed VBA macro for writing the variable value for non-linear value adjustment.
ZWREMA | N | 16 | Linked counter REMA.
MAXGRAD | N | 16 | Gradient overflow for counter REMA.

attention Attention

When importing, the driver object type and data type must be amended to the target driver in the DBF file in order for variables to be imported.

Limit definition

Limit definition for limit values 1 to 4, and status 1 bis 4:

Description | Type | Field size | Comment
AKTIV1 | R | 1 | Limit value active (per limit value available)
GRENZWERT1 | F | 20 | technical value or ID number of a linked variable for a dynamic limit (see VARIABLEx) (if VARIABLEx is 1 and here it is -1, the existing variable linkage is not overwritten)
SCHWWERT1 | F | 16 | Threshold value for limit
HYSTERESE1 | F | 14 | Is not used
BLINKEN1 | R | 1 | Set blink attribute
BTB1 | R | 1 | Logging in CEL
ALARM1 | R | 1 | Alarm
DRUCKEN1 | R | 1 | Printer output (for CEL or Alarm)
QUITTIER1 | R | 1 | Must be acknowledged
LOESCHE1 | R | 1 | Must be deleted
VARIABLE1 | R | 1 | Dyn. limit value linking the limit is defined by an absolute value (see field GRENZWERTx).
FUNC1 | R | 1 | Functions linking
ASK_FUNC1 | R | 1 | Execution via Alarm Message List
FUNC_NR1 | N | 10 | ID number of the linked function (if “-1” is entered here, the existing function is not overwritten during import)
A_GRUPPE1 | N | 10 | Alarm/event group
A_KLASSE1 | N | 10 | Alarm/event class
MIN_MAX1 | C | 3 | Minimum, Maximum
FARBE1 | N | 10 | Color as Windows coding
GRENZTXT1 | C | 66 | Limit text
A_DELAY1 | N | 10 | Time delay
INVISIBLE1 | R | 1 | Invisible

Expressions in the column "Comment" refer to the expressions used in the dialog boxes for the definition of variables. For more information, see chapter Variable definition.


Online- and Offline-Import

3S_V3 -> Creating variables -> Creating variables by importing -> Online- and Offline-Import

Previous chapter Next chapter Show all Show all Hide all Hide all
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The import of variables from symbolic variable names can be selected as either online from the controller or offline via a symbol file.

Requirements for the import

In order for variable import to work, the variables used in the zenon project must be selected in the CoDeSys project configuration software using a symbol configuration object and transferred to the controller. During this process, a symbol file is created in XML format at the same time, which can be used for offline variable import.

Depending on the settings regarding whether the variable identification or the symbolic address should be used for addressing, the symbolic name is entered in the corresponding property.

The imported symbolic name with the node address prefixed is entered as a variable name in order to keep any symbol names that may have the same name unique. The variable name can therefore not be used for symbolic addressing.

When importing a variable, the variables to be imported can be filtered. Either all existing or only new variables are offered for selection.

In addition, orphaned variables can be searched for and deleted. In the selection list, all variables that no longer have a symbol name or are no longer in the controller are offered for deletion.

Importing variables with the wizard

To import variables:

  1. select Import variables from driver from the context menu of the driver
  2. The wizard is opened.
  3. Select, in the start window, whether the variables are to be imported from the controller or from an XML file.
  4. click on Next.
  5. Select the controller and, for offline import, the XML file.
  6. click on Next.
  7. configure the filter settings.
  8. Click on Finish.
  9. The selection list is displayed
  10. Select the variables to be imported.
  11. Click on OK.

The variables are imported If an error occurs, a corresponding message is displayed.

Selecting the import source

Parameters | Description
Import variables from | Selection of import source.
Control | Active: Variables are always imported from a controller.
XML symbol file | Active: Variables are imported from an XML file created with the CoDeSys software.
Next | Accepts setting and switches to the next window.
Cancel | Cancels the import.
Help | Opens online help.

Source of XML file: Selection of the XML file and the controller

Parameters | Description
Symbol file | Selection of the symbol file. Only available if an XML file was selected as the source in the start window.
Control | Selection of the controller, if variables are imported, from a list.
Back | Switches to the previous window.
Next | Accepts setting and switches to the next window.
Cancel | Cancels the import.
Help | Opens online help.

Controller source: Selecting the controller

Parameters | Description
Control | Selection of the controller from which variables are to be imported, from a list.
Back | Switches to the previous window.
Next | Accepts setting and switches to the next window.
Cancel | Cancels the import.
Help | Opens online help.

Configuration of the filter

Parameters

Description

Symbol name

Entry of the symbol name as a filter criteria.

The name can be entered with the following parameters:

  • *
  • ?

Data type

Entry of a data type in the combobox or selection from a drop-down list.

The following placeholders can be used for input:

  • *
  • ?

* Selects all projects.

Import all corresponding symbols

Active: Offers all symbols that correspond to the filter for import.

Import new symbols only

Active: Offers only symbols that are not yet present in the zenon project for import.

Delete all symbols

Active: Offers all symbols that exist in the zenon project that do not exist in the controller for deletion.

Back

Switches to the previous window.

Finish

Accepts setting, starts the import and opens the window with the variables that are can be imported or deleted.

Cancel

Cancels the import.

Help

Opens online help.

Selection of the variables

Parameters | Description
List of variables that can be imported | Displays all variables that can be imported or deleted depending on the settings in the wizard.
Display of existing/highlighted variables | Displays the number of existing and currently-highlighted variables.
List of variables to be imported | Displays all variables that are selected for import or deletion.
Display of existing/highlighted variables | Displays the number of variables selected for import or deletion and the currently-highlighted variables.
Add | Adds the variables highlighted in the Importable variables list to the Variables to be imported list.
Delete | Deletes highlighted variables from the Variables to be imported list.
OK | Accepts selection and imports variables or deletes variables.
Cancel | Cancels import process.


Driver variables

3S_V3 -> Creating variables -> Driver variables

The driver kit implements a number of driver variables. These are divided into:

  • Information
  • Configuration
  • Statistics and
  • Error message

The definitions of the variables defined in the driver kit are available in the import file drvvar.dbf (on the CD in the directory: CD_Drive:/Predefined/Variables) and can be imported from there.

Note: Variable names must be unique in zenon. If driver variables are to be imported from drvvar.dbf again, the variables that were imported beforehand must be renamed.

info Information

Not every driver supports all driver variants.

For example:

  • Variables for modem information are only supported by modem-compatible drivers
  • Driver variables for the polling cycle only for pure polling drivers
  • Connection-related information such as ErrorMSG only for drivers that only edit one connection at a a time

Information

Name from import | Type | Offset | Description
MainVersion | UINT | 0 | Main version number of the driver.
SubVersion | UINT | 1 | Sub version number of the driver.
BuildVersion | UINT | 29 | Build version number of the driver.
RTMajor | UINT | 49 | zenon main version number
RTMinor | UINT | 50 | zenon sub version number
RTSp | UINT | 51 | zenon Service Pack number
RTBuild | UINT | 52 | zenon build number
LineStateIdle | BOOL | 24.0 | TRUE, if the modem connection is idle
LineStateOffering | BOOL | 24.1 | TRUE, if a call is received
LineStateAccepted | BOOL | 24.2 | The call is accepted
LineStateDialtone | BOOL | 24.3 | Dialtone recognized
LineStateDialing | BOOL | 24.4 | Dialing active
LineStateRingBack | BOOL | 24.5 | While establishing the connection
LineStateBusy | BOOL | 24.6 | Target station is busy
LineStateSpecialInfo | BOOL | 24.7 | Special status information received
LineStateConnected | BOOL | 24.8 | Connection established
LineStateProceeding | BOOL | 24.9 | Dialing completed
LineStateOnHold | BOOL | 24.10 | Connection in hold
LineStateConferenced | BOOL | 24.11 | Connection in conference mode.
LineStateOnHoldPendConf | BOOL | 24.12 | Connection in hold for conference
LineStateOnHoldPendTransfer | BOOL | 24.13 | Connection in hold for transfer
LineStateDisconnected | BOOL | 24.14 | Connection terminated.
LineStateUnknow | BOOL | 24.15 | Connection status unknown
ModemStatus | UDINT | 24 | Current modem status
TreiberStop | BOOL | 28 | Driver stopped For driver stop, the variable has the value TRUE and an OFF bit. After the driver has started, the variable has the value FALSE and no OFF bit.
SimulRTState | UDINT | 60 | Informs the status of Runtime for driver simulation.

Configuration

Name from import | Type | Offset | Description
ReconnectInRead | BOOL | 27 | If TRUE, the modem is automatically reconnected for reading
ApplyCom | BOOL | 36 | Apply changes in the settings of the serial interface. Writing to this variable immediately results in the method SrvDrvVarApplyCom being called (which currently has no further function).
ApplyModem | BOOL | 37 | Apply changes in the settings of the modem. Writing this variable immediately calls the method SrvDrvVarApplyModem. This closes the current connection and opens a new one according to the settings PhoneNumberSet and ModemHwAdrSet.
PhoneNumberSet | STRING | 38 | Telephone number, that should be used
ModemHwAdrSet | DINT | 39 | Hardware address for the telephone number
GlobalUpdate | UDINT | 3 | Update time in milliseconds (ms).
BGlobalUpdaten | BOOL | 4 | TRUE, if update time is global
TreiberSimul | BOOL | 5 | TRUE, if driver in sin simulation mode
TreiberProzab | BOOL | 6 | TRUE, if the variables update list should be kept in the memory
ModemActive | BOOL | 7 | TRUE, if the modem is active for the driver
Device | STRING | 8 | Name of the serial interface or name of the modem
ComPort | UINT | 9 | Number of the serial interface.
Baud rate | UDINT | 10 | Baud rate of the serial interface.
Parity | SINT | 11 | Parity of the serial interface
ByteSize | USINT | 14 | Number of bits per character of the serial interface Value = 0 if the driver cannot establish any serial connection.
StopBit | USINT | 13 | Number of stop bits of the serial interface.
Autoconnect | BOOL | 16 | TRUE, if the modem connection should be established automatically for reading/writing
PhoneNumber | STRING | 17 | Current telephone number
ModemHwAdr | DINT | 21 | Hardware address of current telephone number
RxIdleTime | UINT | 18 | Modem is disconnected, if no data transfer occurs for this time in seconds (s)
WriteTimeout | UDINT | 19 | Maximum write duration for a modem connection in milliseconds (ms).
RingCountSet | UDINT | 20 | Number of ringing tones before a call is accepted
ReCallIdleTime | UINT | 53 | Waiting time between calls in seconds (s).
ConnectTimeout | UINT | 54 | Time in seconds (s) to establish a connection.

Statistics

Name from import | Type | Offset | Description
MaxWriteTime | UDINT | 31 | The longest time in milliseconds (ms) that is required for writing.
MinWriteTime | UDINT | 32 | The shortest time in milliseconds (ms) that is required for writing.
MaxBlkReadTime | UDINT | 40 | Longest time in milliseconds (ms) that is required to read a data block.
MinBlkReadTime | UDINT | 41 | Shortest time in milliseconds (ms) that is required to read a data block.
WriteErrorCount | UDINT | 33 | Number of writing errors
ReadSucceedCount | UDINT | 35 | Number of successful reading attempts
MaxCycleTime | UDINT | 22 | Longest time in milliseconds (ms) required to read all requested data.
MinCycleTime | UDINT | 23 | Shortest time in milliseconds (ms) required to read all requested data.
WriteCount | UDINT | 26 | Number of writing attempts
ReadErrorCount | UDINT | 34 | Number of reading errors
MaxUpdateTimeNormal | UDINT | 56 | Time since the last update of the priority group Normal in milliseconds (ms).
MaxUpdateTimeHigher | UDINT | 57 | Time since the last update of the priority group Higher in milliseconds (ms).
MaxUpdateTimeHigh | UDINT | 58 | Time since the last update of the priority group High in milliseconds (ms).
MaxUpdateTimeHighest | UDINT | 59 | Time since the last update of the priority group Highest in milliseconds (ms).
PokeFinish | BOOL | 55 | Goes to 1 for a query, if all current pokes were executed

Error message

Name from import | Type | Offset | Description
ErrorTimeDW | UDINT | 2 | Time (in seconds since 1.1.1970), when the last error occurred.
ErrorTimeS | STRING | 2 | Time (in seconds since 1.1.1970), when the last error occurred.
RdErrPrimObj | UDINT | 42 | Number of the PrimObject, when the last reading error occurred.
RdErrStationsName | STRING | 43 | Name of the station, when the last reading error occurred.
RdErrBlockCount | UINT | 44 | Number of blocks to read when the last reading error occurred.
RdErrHwAdresse | DINT | 45 | Hardware address when the last reading error occurred.
RdErrDatablockNo | UDINT | 46 | Block number when the last reading error occurred.
RdErrMarkerNo | UDINT | 47 | Marker number when the last reading error occurred.
RdErrSize | UDINT | 48 | Block size when the last reading error occurred.
DrvError | USINT | 25 | Error message as number
DrvErrorMsg | STRING | 30 | Error message as text
ErrorFile | STRING | 15 | Name of error log file


Driver-specific functions

3S_V3 -> Driver-specific functions

The driver supports the following functions:

Real-time capability

The driver is real-time capable.
In doing so, note:

  • The protocol only provides the time stamp with precision to the second.
  • The time of the SCADA system and PLC must be synchronized manually.

RDA

Problem

The RDA mechanism actually needs a coherent block from zenon in the controller, which can be addressed via an offset. RDA is therefore generally not possible for drivers with symbolic addressing.

Solution

The 3S_V3 driver uses a property of the PLC handler that makes it possible to read the whole binary data block of variables with complex types (structures, arrays) as a whole using the base name.

The driver determines the base name by separating the last dot (.) from the symbol name of the trigger variable and using the name it has obtained this way. The trigger variable must be the first element of a structure in order for this to work. The rest of the structure can be created as desired. When reading the overall structure, only the binary data that has been read in when creating the RDA data according to the zenon documentation needs to correspond.

Examples

RDA-Typ 3:

TYPE RDA_DATA_3 : (* Structure for RDA type 3 payload *)

STRUCT

Value : DINT; (* value

TimeStamp : ARRAY[0..7] OF BYTE; (* Time stamp (year, month, day, hour, minute, second, 1/100th second, reserve) *)

END_STRUCT

END_TYPE

TYPE RDA_3 : (* Structure for RDA type 3 *)

STRUCT

Trigger : DINT; (* trigger variable *)

Count : UDINT; (* Number of data sets *)

Cycle : UDINT; (* Cycle time in [ms] (only relevant for type 1 and 4) *)

RDA_Type : UDINT; (* RDA type, 1 - 4 *)

Oldest : UDINT; (* Index of the oldest value (placeholder for compatibility reasons, only relevant for type 1) *)

Data : ARRAY[0..19] OF RDA_DATA_3; (* Payload *)

END_STRUCT

END_TYPE

RDA-Typ 4:

TYPE RDA_4 : (* Structure for RDA type 4 *)

STRUCT

Trigger : DINT; (* trigger variable *)

Count : UDINT; (* Number of data sets *)

Cycle : UDINT; (* Cycle time in [ms] (only relevant for type 1 and 4 *)

RDA_Type : UDINT; (* RDA type, 1 - 4 *)

Oldest : UDINT; (* Index of the oldest value (placeholder for compatibility reasons, only relevant for type 1) *)

TimeStamp : ARRAY[0..7] OF BYTE; (* Time stamp of the first value (year, month, day, hour, minute, second, 1/100th second, reserve)) *)

Data : ARRAY[0..19] OF DINT; (* Payload *)

END_STRUCT

END_TYPE

If, for example, an RDA_4 type RDA_Test variable is created in the CoDeSys project, then a variable with the symbolic address RDA_Test.Trigger is created in zenon, and HD active and Updated values are set. If the variable changes value from 0 to 1, the .Trigger part of the symbol name RDA_Test.Trigger is cut off and RDA_Test is read in as a binary data block. The RDA processing is then carried out with this data block.


Driver commands

3S_V3 -> Driver commands

This chapter describes standard functions that are valid for most zenon drivers. Not all functions described here are available for every driver. For example, a driver that does not, according to the data sheet, support a modem connection also does not have any modem functions.

Driver commands are used to influence drivers using zenon; start and stop for example.
The engineering is implemented with the help of function Driver commands. To do this:

  • create a new function
  • select Variables -> Driver commands
  • The dialog for configuration is opened

Parameters

Description

Drivers

Drop-down list with all drivers which are loaded in the project.

Current state

Fixed entry which has no function in the current version.

Driver commands

Drop-down list for the selection of the command.
  • Start driver (online mode)

Driver is reinitialized and started.
  • Stop driver (offline mode)

Driver is stopped. No new data is accepted.

Note: If the driver is in offline mode, all variables that were created for this driver receive the status switched off (OFF; Bit 20).

  • Driver in simulation mode

Driver is set into simulation mode.
The values of all variables of the driver are simulated by the driver. No values from the connected hardware (e.g. PLC, bus system, ...) are displayed.
  • Driver in hardware mode

Driver is set into hardware mode.
For the variables of the driver the values from the connected hardware (e.g. PLC, bus system, ...) are displayed.
  • Driver-specific command

Enter driver-specific commands. Opens input field in order to enter a command.
  • Activate driver write set value

Write set value to a driver is allowed.
  • Deactivate driver write set value

Write set value to a driver is prohibited.
  • Establish connection with modem

Establish connection (for modem drivers) Opens the input fields for the hardware address and for the telephone number.
  • Disconnect from modem

Terminate connection (for modem drivers)

Show this dialog in the Runtime

The dialog is shown in Runtime so that changes can be made.

Driver commands in the network

If the computer, on which the driver command function is executed, is part of the zenon network, additional actions are carried out. A special network command is sent from the computer to the project server, which then executes the desired action on its driver. In addition, the Server sends the same driver command to the project standby. The standby also carries out the action on its driver.

This makes sure that Server and Standby are synchronized. This only works if the Server and the Standby both have a working and independent connection to the hardware.


Error analysis

3S_V3 -> Error analysis

Should there be communication problems, this chapter will assist you in finding out the error.

Other topics in this chapter

Analysis tool

Error numbers

Check list


Analysis tool

3S_V3 -> Error analysis -> Analysis tool

All zenon modules such as Editor, Runtime, drivers, etc. write messages to a joint log file. To display them correctly and clearly, use the Diagnosis Viewer program that was also installed with zenon. You can find it under Start/All programs/zenon/Tools 7.20 -> Diagviewer.

zenon driver log all errors in the log files. The default folder for the log files is subfolder LOG in directory ProgramData, example:

C:\ProgramData\COPA-DATA\LOG. Log files are text files with a special structure.

Attention: With the default settings, a driver only logs error information. With the Diagnosis Viewer you can enhance the diagnosis level for most of the drivers to "Debug" and "Deep Debug". With this the driver also logs all other important tasks and events.

In the Diagnosis Viewer you can also:

  • follow currently created entries live
  • customize the logging settings
  • change the folder in which the log files are saved

Note:

  1. In Windows CE even errors are not logged per default due to performance reasons.
  2. The Diagnosis Viewer displays all entries in UTC (coordinated world time) and not in local time.
  3. The Diagnosis Viewer does not display all columns of a log file per default. To display more columns activate property Add all columns with entry in the context menu of the column header.
  4. If you only use Error logging, the problem description is in column Error text. For other diagnosis level the description is in column General text.
  5. For communication problems many drivers also log error numbers which the PLC assigns to them. They are displayed in Error text and/or Error code and/or Driver error parameter(1 and 2). Hints on the meaning of error codes can be found in the driver documentation and the protocol/PLC description.
  6. At the end of your test set back the diagnosis level from Debug or Deep Debug. At Debug and Deep Debug there are a great deal of data for logging which are saved to the hard drive and which can influence your system performance. They are still logged even after you close the Diagnosis Viewer.

You can find further information on the Diagnosis Viewer in the Diagnose Viewer chapter.


Error numbers

3S_V3 -> Error analysis -> Error numbers

Error text in the log | no. | Meaning
RESULT_FAILED | -1 | Action erroneous.
RESULT_OK | 0 | Action successful
RESULT_PLC_NOT_CONNECTED | 1 | PLC not connected
RESULT_PLC_LOGIN_FAILED | 2 | Login to PLC has failed
RESULT_PLC_NO_CYCLIC_LIST_DEFINED | 3 | No cyclic list has been found
RESULT_PLCHANDLER_INACTIVE | 4 | PLCHandler instance was set inactive
RESULT_LOADING_SYMBOLS_FAILED | 5 | Loading of the symbols has failed
RESULT_ITF_NOT_SUPPORTED | 6 | The defined communication interface is not valid or not supported
RESULT_COMM_FATAL | 7 | Communication error occurred during action
RESULT_NO_CONFIGURATION | 8 | Wrong or erroneous configuration of the PLCHandler
RESULT_INVALID_PARAMETER | 9 | At least one parameter is invalid
RESULT_ITF_FAILED | 10 | Communication interface could not be initialized correctly (e. g. Gateway Dlls not available)
RESULT_NOT_SUPPORTED | 11 | Method not yet supported resp. implemented for this configuration (e. g. not supported for this interface)
RESULT_EXCEPTION | 12 | Handled exception in a low layer occurred during action
RESULT_TIMEOUT | 13 | Timeout exceeded
RESULT_STILL_CONNECTED | 14 | PLC already connected (at a further ::Connect() call)
RESULT_RECONNECTTHREAD_STILL_ACTIVE | 15 | Reconnect Thread already active (started at a further ::Connect() call)
RESULT_PLC_NOT_CONNECTED_SYMBOLS_LOADED | 16 | No connection to the PLC, but symbols available offline
RESULT_NO_UPDATE | 17 | Asynchronous operation (e. g. cyclic read of variables) has not yet finished
RESULT_OCX_CONVERSION_FAILED | 18 | Error during conversion of values inside the PLCHandler’s ActiveX interface occurred
RESULT_TARGETID_MISMATCH | 19 | PLC does not match to the passed target id etc.
RESULT_NO_OBJECT | 20 | No object found for the required action (e. g. tried to get an element beyond the end of the list)
RESULT_COMPONENTS_NOT_LOADED | 21 | PLCHandler instantiation has failed, because of missing components
RESULT_BUSY | 22 | Last action still in progress, cannot start the required one
RESULT_DISABLED | 23 | Feature is disabled by the configuration (e. g. Logging)
RESULT_PLC_FAILED | 24 | Communication to the PLC was successful, but the PLC has returned a bad result


Check list

3S_V3 -> Error analysis -> Check list

Questions and hints for fault isolation:

General troubleshooting

  • Is the PLC connected to the power supply?
  • Analysis with the Diagnosis Viewer:
    -> Which messages are displayed?
  • Are the participants available in the TCP/IP network?
  • Can the PLC be reached via the Ping command?

    Ping: Open command line -> ping < IP address> (e.g. ping 192.168.0.100) -> press Enter.

    Do you receive an answer with a time or a time-out?

  • Can the PLC be reached via Telnet?

    Telnet: Command line Enter open, telent <IP address port number> (for example for Modbus: telnet 192.168.0.100 502) -> Press Return key.

    If the monitor display turns black, a connection could be established.

  • Did you configure the Net address in the address properties of the variable correctly?
    • Does the addressing match with the configuration in the driver dialog?
    • Does the net address match the address of the target station?
  • Did you use the right object type for the variable?

    Example: Driver variables are purely statistics variables. They do not communicate with the PLC. (See chapter Driver variable.)

  • Does the offset addressing of the variable match the one in the PLC?

Some variables report INVALID.

  • INVALID bits always refer to a net address.
  • At least one variable of the net address is faulty.

Values are not displayed, numeric values remain empty

Driver is not working. Check the:

  • Installation of zenon
  • the driver installation
  • The installation of all components
    -> Pay attention to error messages during the start of the Runtime.

Variables are displayed with a blue dot

The communication in the network is faulty:

  • With a network project:
    Is the network project also running on the server?
  • With a stand-alone project or a network project which is also running on the server:
    Deactivate the property Only read from Standby Server in node Driver connection/Addressing.

Values are displayed incorrectly

Check the information for the calculation in node Value calculation of the variable properties.

Driver fails occasionally

Analysis with the Diagnosis Viewer:
-> Which messages are displayed?